Subject: Re: bug#43716: 28.0.50; Error with emacsclient <file>:

From: Tassilo Horn <[email-masked]>
Date: Wed, 30 Sep 2020 15:58:25 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> Since today, emacsclient file.txt errors with
>>
>>   *ERROR*: Wrong number of arguments: (1 . 4), 5
>>
>> That seems to happen after commit:
>>
>>   7f2c35d028 Fix emacsclient -c foo.txt behaviour with many frames
>>
>> I've tried M-x toggle-debug-on-error RET in the Emacs instance
>> running the server but still I don't get a backtrace buffer.
>
> I'm unable to reproduce this problem on the current trunk.

I'm currently on 17ecfa8698 and get that problem also on another
computer (but with the same ~/.emacs).

> Has your server Emacs been restarted from a rebuilt tree?

Yes, I also made a full "make bootstrap" to be sure but the error
persists.

I cannot reproduce the issue with "emacs -Q", though, so it's most
probably something with my configuration or some 3rd party package.  If
I'd know the function call site or at least what function's called with
too many args, I'd probably figure out what's the problem.

I've tried:

--8<---------------cut here---------------start------------->8---
❯ gdb lib-src/emacsclient
GNU gdb (GDB) 9.2
Copyright (C) 2020 Free Software Foundation, Inc.
[snip]
(gdb) run ~/tmp/test.aux
Starting program: /home/horn/Repos/el/emacs/lib-src/emacsclient ~/tmp/test.aux
Waiting for Emacs...
*ERROR*: Wrong number of arguments: (1 . 4), 5
[Inferior 1 (process 23487) exited with code 01]
(gdb) bt
No stack.
--8<---------------cut here---------------end--------------->8---

Any help?  My GDB foo is quite low but I can operate it when given
instructions.

Bye,
Tassilo